#include <iostream>
#include <vector>
int main()
{
	int n;
	scanf("%d",&n);
	std::vector <int> r(n);
	std::vector <int> c(n);
	
	for(int i=0;i<n;i++)
	{
		scanf("%d%d",&r[i],&c[i]);
	}
	if(n>1)
	{
	if(c[0]!=c[1]&&r[0]!=r[1])
	printf("0");
	else
	printf("1");
	}
	else
	{
		printf("0");
	}
	return 0;
}